## Submitting issues

### Reduced test case required

All bug reports and problem issues require a [**reduced test case**](https://css-tricks.com/reduced-test-cases/) or **live URL**.

+ A reduced test case clearly demonstrates the bug or issue.
+ It contains the bare minimum HTML, CSS, and JavaScript required to demonstrate the bug.
+ A link to your production site is **not** a reduced test case.

Create one by forking any one of the [CodePen demos](https://codepen.io/desandro/tag/infinite-scroll-v3-docs) from [the docs](https://infinite-scroll.com).

+ [Scroll & append](https://codepen.io/desandro/pen/WOjqNM)
+ [Scroll & append, vanilla JS](https://codepen.io/desandro/pen/WOpjMM)

Providing a reduced test case is the best way to get your issue addressed. They help you point out the problem. They help me verify and debug the problem. They help others understand the problem. Without a reduced test case or live URL, your issue may be closed.

## Pull requests

Contributions are welcome! Please note: your code may be used as part of a commercial product if merged. Be clear about what license applies to your patch. [The MIT license](https://choosealicense.com/licenses/mit/) or [public domain unlicense](https://choosealicense.com/licenses/unlicense/) are permissive, and allow integration of your patch into Flickity as part of a commercial product.
